Package helma.objectmodel.dom

# Class XmlReader

java.lang.Object
org.xml.sax.helpers.DefaultHandler
helma.objectmodel.dom.XmlReader

All Implemented Interfaces:
  `XmlConstants`, `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

public final class XmlReader extends DefaultHandler implements XmlConstants

## Field Summary

### Fields inherited from interface helma.objectmodel.dom.XmlConstants

`DATEFORMAT, NAMESPACE`

## Constructor Summary

Constructors
Constructor
Description
`XmlReader(WrappedNodeManager nmgr)`
Creates a new XmlReader object.

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
`void`
`endElement(String namespaceURI, String localName, String qName)`
`INode`
`read(File file, INode helmaNode)`
main entry to read an xml-file.
`INode`
`read(InputStream in, INode helmaNode)`
read an InputStream with xml-content.
`INode`
`read(Reader in, INode helmaNode)`
read an character reader with xml-content.
`INode`
`read(InputSource in, INode helmaNode)`
read an InputSource with xml-content.
`void`
`startElement(String namespaceURI, String localName, String qName, Attributes atts)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.xml.sax.ContentHandler

`declaration`

## Constructor Details

### XmlReader

public XmlReader(WrappedNodeManager nmgr)
Creates a new XmlReader object.

## Method Details

### read

public INode read(File file, INode helmaNode) throws ParserConfigurationException, SAXException, IOException
main entry to read an xml-file.

Throws:
  `ParserConfigurationException`
  `SAXException`
  `IOException`

### read

public INode read(InputStream in, INode helmaNode) throws ParserConfigurationException, SAXException, IOException
read an InputStream with xml-content.

Throws:
  `ParserConfigurationException`
  `SAXException`
  `IOException`

### read

public INode read(Reader in, INode helmaNode) throws ParserConfigurationException, SAXException, IOException
read an character reader with xml-content.

Throws:
  `ParserConfigurationException`
  `SAXException`
  `IOException`

### read

public INode read(InputSource in, INode helmaNode) throws ParserConfigurationException, SAXException, IOException
read an InputSource with xml-content.

Throws:
  `ParserConfigurationException`
  `SAXException`
  `IOException`

### startElement

public void startElement(String namespaceURI, String localName, String qName, Attributes atts) throws SAXException

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Parameters:
  `namespaceURI` - ...
  `localName` - ...
  `qName` - ...
  `atts` - ...
Throws:
  `SAXException` - ...

### characters

public void characters(char[] ch, int start, int length) throws SAXException

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Parameters:
  `ch` - ...
  `start` - ...
  `length` - ...
Throws:
  `SAXException` - ...

### endElement

public void endElement(String namespaceURI, String localName, String qName) throws SAXException

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Parameters:
  `namespaceURI` - ...
  `localName` - ...
  `qName` - ...
Throws:
  `SAXException` - ...